polybori::BooleEnv Class Reference

This class is just a wrapper accessing global structures. More...

`#include <BooleEnv.h>`

Inheritance diagram for polybori::BooleEnv:

## Public Types

typedef BooleEnv | self
| generic access to current type More...
typedef CTypes::orderenums_type | base
| generic access to base type More...
typedef std::vector< idx_type > | block_idx_type
| Type for block indices. More...
typedef block_idx_type::const_iterator | block_iterator
| Type for block iterators. More...
typedef BoolePolyRing | ring_type
typedef COrderingBase | order_type
enum | ordercodes
| Explicitely mention ordercodes' enumeration. More...
adopt global type definitions
typedef CTypes::ordercode_type | ordercode_type
typedef BoolePolyRing::dd_type | dd_type
typedef BoolePolyRing::var_type | var_type
typedef CTypes::vartext_type | vartext_type
Public Types inherited from polybori::COrderEnums
enum | ordercodes { lp, dlex, dp_asc, block_dlex, block_dp_asc }
| Codes For orderings. More...
Public Types inherited from polybori::CCompareEnums
enum | comparecodes { less_than = -1, equality = 0, greater_than = +1, less_or_equal_max = 0, greater_or_equal_min = 0 }
| Comparision codes enumeration. More...
enum | { max_idx = ((DdHalfWord) ~0) }
Public Types inherited from polybori::CAuxTypes
typedef bool | bool_type
| Type for standard true/false statements. More...
typedef std::size_t | size_type
| Type for lengths, dimensions, etc. More...
typedef int | deg_type
| Type for polynomial degrees (ranges from -1 to maxint) More...
typedef int | integer_type
| Type for integer numbers. More...
typedef int | idx_type
| Type for indices. More...
typedef std::size_t | hash_type
| Type for hashing. More...
typedef unsigned int | errornum_type
| Type used to store error codes. More...
typedef short int | comp_type
| Type for comparisons. More...
typedef int | ordercode_type
| Type for ordering codes. More...
typedef const char * | errortext_type
| Type used to verbose error information. More...
typedef std::ostream | ostream_type
| Type for out-stream. More...
typedef const char * | vartext_type
| Type for setting/getting names of variables. More...
typedef unsigned long | large_size_type
| large size_type (necessary?) More...
typedef std::size_t | refcount_type
| Type for counting references. More...

## Detailed Description

This class is just a wrapper accessing global structures.

## Member Typedef Documentation

typedef CTypes::orderenums_type polybori::BooleEnv::base

generic access to base type

typedef std::vector<idx_type> polybori::BooleEnv::block_idx_type

Type for block indices.

typedef block_idx_type::const_iterator polybori::BooleEnv::block_iterator

Type for block iterators.

typedef BoolePolyRing::dd_type polybori::BooleEnv::dd_type

typedef COrderingBase polybori::BooleEnv::order_type

typedef CTypes::ordercode_type polybori::BooleEnv::ordercode_type

typedef BoolePolyRing polybori::BooleEnv::ring_type

typedef BooleEnv polybori::BooleEnv::self

generic access to current type

typedef BoolePolyRing::var_type polybori::BooleEnv::var_type

typedef CTypes::vartext_type polybori::BooleEnv::vartext_type

## Member Enumeration Documentation

enum polybori::COrderEnums::ordercodes

Explicitely mention ordercodes' enumeration.

The documentation for this class was generated from the following file:

- BooleEnv.h